Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058056 - [abrt] WARNING: CPU: 0 PID: 193 at drivers/gpu/drm/qxl/qxl_ttm.c:420 qxl_sync_obj_wait+0x172/0x1f0 [qxl]()
Summary: [abrt] WARNING: CPU: 0 PID: 193 at drivers/gpu/drm/qxl/qxl_ttm.c:420 qxl_sync...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-qxl
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4878f214c7d6fb3fe81634412c7...
: 1038275 1172585 1173870 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-26 18:45 UTC by James Wrigley
Modified: 2016-07-19 10:56 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 10:56:19 UTC


Attachments (Terms of Use)
File: dmesg (deleted)
2014-01-26 18:45 UTC, James Wrigley
no flags Details

Description James Wrigley 2014-01-26 18:45:01 UTC
Description of problem:
No idea what caused it, this happened immediately after logging into Mate on a rawhide VM. Note that I had done an update before I had last shutdown the VM, dunno if that had something to do with it. I fpasted the info here: http://paste.fedoraproject.org/71758/90761759

Additional info:
reporter:       libreport-2.1.11
WARNING: CPU: 0 PID: 193 at drivers/gpu/drm/qxl/qxl_ttm.c:420 qxl_sync_obj_wait+0x172/0x1f0 [qxl]()
sync obj 301 still has outstanding releases 0 0 0 4096 1
Modules linked in: virtio_blk virtio_net virtio_pci virtio_ring virtio qxl drm_kms_helper ttm drm i2c_core ata_generic pata_acpi
CPU: 0 PID: 193 Comm: plymouthd Not tainted 3.14.0-0.rc0.git9.1.fc21.x86_64 #1
Hardware name: Bochs Bochs, BIOS Bochs 01/01/2011
 0000000000000009 ffff880075e87780 ffffffff81793c95 ffff880075e877c8
 ffff880075e877b8 ffffffff8109272d 0000000000000001 ffff8800756c45c0
 0000000000000001 ffff8800756c45d8 0000000000000000 ffff880075e87818
Call Trace:
 [<ffffffff81793c95>] dump_stack+0x4d/0x66
 [<ffffffff8109272d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8109279c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff817970a3>] ? schedule_hrtimeout_range+0x13/0x20
 [<ffffffffa0097062>] qxl_sync_obj_wait+0x172/0x1f0 [qxl]
 [<ffffffffa007f7b1>] ttm_bo_wait+0x91/0x190 [ttm]
 [<ffffffffa0081174>] ttm_bo_evict+0x54/0x390 [ttm]
 [<ffffffffa008151c>] ? ttm_mem_evict_first+0x6c/0x1b0 [ttm]
 [<ffffffff810f19e9>] ? mark_held_locks+0xb9/0x140
 [<ffffffffa00815cb>] ? ttm_mem_evict_first+0x11b/0x1b0 [ttm]
 [<ffffffffa00815e5>] ttm_mem_evict_first+0x135/0x1b0 [ttm]
 [<ffffffffa00818f0>] ttm_bo_mem_space+0x290/0x340 [ttm]
 [<ffffffffa0081cfa>] ttm_bo_move_buffer+0xca/0x180 [ttm]
 [<ffffffff810ee837>] ? __lock_is_held+0x57/0x80
 [<ffffffffa0081e96>] ttm_bo_validate+0xe6/0x190 [ttm]
 [<ffffffffa00821b9>] ttm_bo_init+0x279/0x430 [ttm]
 [<ffffffffa00990be>] qxl_bo_create+0x14e/0x1d0 [qxl]
 [<ffffffffa0098e30>] ? qxl_fbdev_qobj_is_fb+0x30/0x30 [qxl]
 [<ffffffffa009a2c7>] qxl_alloc_bo_reserved+0x37/0xb0 [qxl]
 [<ffffffffa009b2be>] qxl_image_alloc_objects+0xae/0x140 [qxl]
 [<ffffffffa009bc52>] qxl_draw_dirty_fb+0x132/0x440 [qxl]
 [<ffffffff811cf1cf>] ? might_fault+0x5f/0xb0
 [<ffffffffa0095029>] qxl_framebuffer_surface_dirty+0x79/0xa0 [qxl]
 [<ffffffffa00358b0>] drm_mode_dirtyfb_ioctl+0xe0/0x190 [drm]
 [<ffffffffa0024da2>] drm_ioctl+0x4e2/0x620 [drm]
 [<ffffffff813415f3>] ? inode_has_perm.isra.51+0x53/0x80
 [<ffffffff81237b70>] do_vfs_ioctl+0x300/0x520
 [<ffffffff81341c2b>] ? selinux_file_ioctl+0x5b/0x110
 [<ffffffff81237e11>] SyS_ioctl+0x81/0xa0
 [<ffffffff817a6f29>] system_call_fastpath+0x16/0x1b

Potential duplicate: bug 1050142

Comment 1 James Wrigley 2014-01-26 18:45:08 UTC
Created attachment 855751 [details]
File: dmesg

Comment 2 Marc-Andre Lureau 2014-11-19 15:44:52 UTC
David, could you have a look? (I guess the server/qemu is too slow for the default warning timer, but I have no idea) thanks

Comment 3 Jaroslav Reznik 2015-03-03 15:25:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Cole Robinson 2015-05-31 18:27:55 UTC
*** Bug 1038275 has been marked as a duplicate of this bug. ***

Comment 5 Cole Robinson 2015-05-31 18:28:04 UTC
*** Bug 1172585 has been marked as a duplicate of this bug. ***

Comment 6 Cole Robinson 2015-05-31 18:28:12 UTC
*** Bug 1173870 has been marked as a duplicate of this bug. ***

Comment 7 Fedora End Of Life 2016-07-19 10:56:19 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.